Skip to main content
`Ctrl`+`K`

# pandas.tseries.offsets.Micro

class pandas.tseries.offsets.Micro

  Offset `n` microseconds.

  Parameters:
    n int, default 1

      The number of microseconds represented.

  See also

  `DateOffset`

    Standard kind of date increment.

  Examples

  You can use the parameter `n` to represent a shift of n microseconds.

      >>> from pandas.tseries.offsets import Micro
      >>> ts = pd.Timestamp(2022, 12, 9, 15)
      >>> ts
      Timestamp('2022-12-09 15:00:00')

      >>> ts + Micro(n=1000)
      Timestamp('2022-12-09 15:00:00.001000')

      >>> ts - Micro(n=1000)
      Timestamp('2022-12-09 14:59:59.999000')

      >>> ts + Micro(n=-1000)
      Timestamp('2022-12-09 14:59:59.999000')

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `delta` |
  `freqstr` | Return a string representing the frequency.
  `kwds` | Return a dict of extra parameters for the offset.
  `n` |
  `name` | Return a string representing the base frequency.
  `nanos` | Return an integer of the total number of nanoseconds.
  `normalize` |
  `rule_code` |

  Methods

  `copy`() | Return a copy of the frequency.
  `is_anchored`() | (DEPRECATED) Return False.
  `is_month_end`(ts) | Return boolean whether a timestamp occurs on the month end.
  `is_month_start`(ts) | Return boolean whether a timestamp occurs on the month start.
  `is_on_offset`(dt) | Return boolean whether a timestamp intersects with this frequency.
  `is_quarter_end`(ts) | Return boolean whether a timestamp occurs on the quarter end.
  `is_quarter_start`(ts) | Return boolean whether a timestamp occurs on the quarter start.
  `is_year_end`(ts) | Return boolean whether a timestamp occurs on the year end.
  `is_year_start`(ts) | Return boolean whether a timestamp occurs on the year start.
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.